- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# limits.hh File Reference

Wrapper about the numeric limits for Vaucanson. More...

Include dependency graph for limits.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::misc

## Detailed Description

Wrapper about the numeric limits for Vaucanson.

This file defines the utility trait `vcsn::limits`, by using standard C++ `std::numeric_limits` if available, or the standard C limits if `USE_C_LIMITS` is defined.

Definition in file limits.hh.